# Retrieve profile spend limits (deprecated)

Retrieves the spending limits that are configured for a profile.
This endpoint has been deprecated. Use [Retrieve profile limits](/api-reference/legacy/spend-limits/spendlimitsprofileget) instead.

Endpoint: GET /v3/spend/profiles/{profileId}/spending-limits
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `spendings` (array)
    A collection of spending resources.

  - `spendings.type` (string)
    The spending category.

  - `spendings.limits` (array)

  - `spendings.limits.type` (string)
    The type of limit. One of `TRANSACTION`, `DAILY`, `MONTHLY`, `LIFETIME`.

  - `spendings.limits.usage` (number)
    The amount which has been captured for the specific type and limit up till now.

  - `spendings.limits.threshold` (number)
    The transaction limit configured for the spending limit.

  - `spendings.limits.currency` (string)
    The 3-digit currency code assigned to the spending limit.

  - `spendings.limits.expiresAt` (string | null)
    The timestamp at which the spending limit will expire, ISO-8601 with timezone.

